
package mod_ipchat;

import java.io.IOException;
import java.util.Scanner;

import basics.BasicMod;
import mod_ipchat.ChatClient;
import mod_ipchat.ChatServer;

public class Chatmod
extends BasicMod {
    Scanner scn;

    
    public int init() {
        modName = "ipChat";
        this.scn = new Scanner(System.in);
        return  0;
    }

    @Override
    public void checkInput(String input) {
        if (input.equalsIgnoreCase("chat")) {
            System.out.println("Syntax: chat -c \"creating a chat client\"");
            System.out.println("        chat -s \"creating a chat server\"");
        } else if (input.equalsIgnoreCase("chat -c")) {
            System.out.println("Please enter server ip");
            String ip = this.scn.nextLine();
            ChatClient cc = new ChatClient(ip);
            cc.create();
            while (cc.isRunning()) {
            }
        } else if (input.equalsIgnoreCase("chat -s")) {
            ChatServer cs = new ChatServer();
            cs.create();
            while (cs.isRunning()) {
            }
        }
    }
}

   


