package customNodes;

import javafx.geometry.Insets;
import javafx.scene.control.TextArea;

public class LogTextArea extends TextArea{
	
	private final int WIDTH = 500;
	private final int HEIGHT = 515;
	
	public LogTextArea() {
		this.setLayoutX(25);
		this.setLayoutY(65);
		this.setEditable(false);
		this.setMinWidth(WIDTH);
		this.setMaxWidth(WIDTH);
		this.setPadding(new Insets(0,0,0,-10));
		this.setMinHeight(HEIGHT);
		this.setMaxHeight(HEIGHT);
		this.setStyle("-fx-background-color: transparent;"
				+ "-fx-control-inner-background: white;"
				+ "-fx-text-fill: black");
	}
	
}
