package stages;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;
import network.ServerThread;
import scenes.LogScene;

public class AppStage extends Application{

	
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setOnCloseRequest(event -> {
			System.exit(0);	
		});
		LogScene ls = new LogScene(primaryStage);
		Thread st = new Thread(new ServerThread(ls));
        st.start();
		primaryStage.setScene(new Scene(ls));
		primaryStage.setTitle("QuickLaunch Update Server");
		primaryStage.setResizable(false);
		primaryStage.show();
		
	}

}
