package main;


import org.jnativehook.NativeHookException;

import basics.BasicGuiApp;
import javafx.application.Application;
import manager.SettingManager;
import manager.ResourceManager;

public class Start {
	public static final float VERSION = 3.11f;
	
	
	@SuppressWarnings("static-access")
	public static void main(String[] args) throws NativeHookException {
		ResourceManager.loadResources();
		
        SettingManager sm = new SettingManager();
        sm.loadSettings();
        sm.saveSettings();
        	
		Application.launch(BasicGuiApp.class);
		
    }
}
